import useAnimatedText from "@/hooks/useAnimatedText";
import { motion } from "framer-motion";

const AnimatedText = ({ text }) => {
  const animatedText = useAnimatedText(text);

  const itemVariants = {
    hidden: { opacity: 0, y: -20 },
    visible: { opacity: 1, y: 0 },
  };

  return (
    <div
      style={{
        display: "inline-block",
      }}
    >
      <motion.p
        className="leading-8 scroll-mb-9"
        variants={itemVariants}
        style={{ whiteSpace: "pre-wrap" }} // حفظ خطوط شکسته و فاصله‌ها
      >
        {animatedText}
      </motion.p>
    </div>
  );
};

export default AnimatedText;

